/***************************************************************************
 *   Copyright (C) 2005 by Paulo Ferreira                                  *
 *   acfpaulo@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef XSUPPLICANT_H
#define XSUPPLICANT_H

#include <qstring.h>

/**
@author Paulo Ferreira
*/
class Xsupplicant
{
private:
	QString interface;

public:
	Xsupplicant(const QString &interface);

	~Xsupplicant();
    
	bool startXsupplicant();
	bool stopXsupplicant();
	bool isXsupplicant();
	bool isDHCP(uint dhcptype);	
	bool stopDHCP( uint dhcptype );
	bool initNetwork(const QString &ssid, uint type_key);
	bool showNetworkParam();
	void setInterface(const QString &interface);
	QString getInterface();	

};

#endif
